JceKTSKeyWrapper (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.operator.jcajce

## Class JceKTSKeyWrapper

- java.lang.Object
- - org.bouncycastle.operator.AsymmetricKeyWrapper
  - - org.bouncycastle.operator.jcajce.JceKTSKeyWrapper

- All Implemented Interfaces:
    KeyWrapper

      public class JceKTSKeyWrapper
      extends AsymmetricKeyWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JceKTSKeyWrapper(java.security.PublicKey publicKey, java.lang.String symmetricWrappingAlg, int keySizeInBits, byte[] partyUInfo, byte[] partyVInfo)`
    `JceKTSKeyWrapper(java.security.cert.X509Certificate certificate, java.lang.String symmetricWrappingAlg, int keySizeInBits, byte[] partyUInfo, byte[] partyVInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateWrappedKey(GenericKey encryptionKey)`
    `JceKTSKeyWrapper` | `setProvider(java.security.Provider provider)`
    `JceKTSKeyWrapper` | `setProvider(java.lang.String providerName)`
    `JceKTSKeyWrapper` | `setSecureRandom(java.security.SecureRandom random)`

    - ### Methods inherited from class org.bouncycastle.operator.AsymmetricKeyWrapper

      `getAlgorithmIdentifier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JceKTSKeyWrapper

          public JceKTSKeyWrapper(java.security.PublicKey publicKey,
                          java.lang.String symmetricWrappingAlg,
                          int keySizeInBits,
                          byte[] partyUInfo,
                          byte[] partyVInfo)

    - #### JceKTSKeyWrapper

          public JceKTSKeyWrapper(java.security.cert.X509Certificate certificate,
                          java.lang.String symmetricWrappingAlg,
                          int keySizeInBits,
                          byte[] partyUInfo,
                          byte[] partyVInfo)

  - ### Method Detail

    - #### setProvider

          public JceKTSKeyWrapper setProvider(java.security.Provider provider)

    - #### setProvider

          public JceKTSKeyWrapper setProvider(java.lang.String providerName)

    - #### setSecureRandom

          public JceKTSKeyWrapper setSecureRandom(java.security.SecureRandom random)

    - #### generateWrappedKey

          public byte[] generateWrappedKey(GenericKey encryptionKey)
                                    throws OperatorException

      Throws:
        `OperatorException`